Debian Bug report logs - #488374
[ia64] libparted depends on libunwind for which no udeb exists

version graph

Package: parted; Maintainer for parted is Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>; Source for parted is src:parted.

Reported by: Simon McVittie <smcv@debian.org>

Date: Sat, 28 Jun 2008 12:15:02 UTC

Severity: serious

Tags: patch

Found in version parted/1.8.8.git.2008.03.24-7

Fixed in version parted/1.8.8.git.2008.03.24-8

Done: Otavio Salvador <otavio@ossystems.com.br>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#488374; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: installation-reports: [ia64] missing libunwind.so.7 => parted_devices cannot find disks
Date: Sat, 28 Jun 2008 13:13:39 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Package: installation-reports
Severity: normal

Greetings from the Cambridge BSP!

While reinstalling an IA64 with a d-i daily-build netinst CD, the
"Detect disks" stage failed. Here's a snippet from the syslog:

[...]
Jun 28 11:34:59 kernel: Probing IDE interface ide2...
Jun 28 11:34:59 disk-detect: insmod /lib/modules/2.6.24-1-itanium/kernel/drivers/ide/ide-generic.ko 
Jun 28 11:34:59 kernel: Probing IDE interface ide3...
Jun 28 11:35:02 main-menu[648]: (process:3835): parted_devices: error while loading shared libraries: libunwind.so.7: cannot open shared object file: No such file or directory
Jun 28 11:35:02 main-menu[648]: (process:3835): parted_devices: error while loading shared libraries: libunwind.so.7: cannot open shared object file: No such file or directory
[...]

Further up the syslog we see:

Jun 28 11:31:18 efi-reader[628]: ERROR **: Failed to open /proc/efi/vars/Lang-*
Jun 28 11:31:18 init: init: starting pid 632, tty '': '/bin/cttyhack'
Jun 28 11:31:18 init: init: starting pid 634, tty '/dev/tty4': '/usr/bin/tail'
Jun 28 11:31:18 debconf: Setting debconf/language to en
Jun 28 11:31:18 main-menu[648]: DEBUG: resolver (libc6.1): package doesn't exist (ignored)
Jun 28 11:31:18 main-menu[648]: INFO: Menu item 'localechooser' selected
Jun 28 11:31:18 debconf: Setting debconf/language to 
Jun 28 11:31:30 localechooser: info: Language = 'C'

(a missing libc6.1 seems a bad thing...), and after the mirror has been
configured we see:

Jun 28 11:33:03 main-menu[648]: INFO: Menu item 'download-installer' selected
Jun 28 11:33:04 net-retriever: gpgv: Signature made Sat Jun 28 08:39:27 2008 UTC using DSA key ID 6070D3A1
Jun 28 11:33:04 net-retriever: gpgv: Good signature from "Debian Archive Automatic Signing Key (4.0/etch) <ftpmaster@debian.org>"
Jun 28 11:33:04 anna[1867]: DEBUG: resolver (libunwind7): package doesn't exist (ignored)
Jun 28 11:33:04 anna[1867]: DEBUG: resolver (ext2-modules): package doesn't exist (ignored)
Jun 28 11:33:04 anna[1867]: DEBUG: resolver (libunwind7): package doesn't exist (ignored)
Jun 28 11:33:04 anna[1867]: DEBUG: resolver (ext2-modules): package doesn't exist (ignored)
Jun 28 11:33:04 anna[1867]: DEBUG: retrieving apt-mirror-setup 1:0.37

/debian/dists/lenny/main/binary-ia64/Packages.gz does contain libunwind7, but
/debian/dists/lenny/main/debian-installer/binary-ia64/Packages.gz does not.

(Luk has confirmed that the same thing is wrong on ftp-master, so it's not just
a problem with our local mirror.)

- -- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (101, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.25-2-686 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
-----BEGIN PGP SIGNATURE-----

iD8DBQFIZirsWSc8zVUw7HYRAif0AKDwG69C7x6/znjAaZQZ2Eu23nPsxgCeKwWh
tgp2/1C0Rg2xWusauuKqpkY=
=zYmG
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#488374; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 488374@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 488374@bugs.debian.org
Subject: Re: Bug#488374: installation-reports: [ia64] missing libunwind.so.7 => parted_devices cannot find disks
Date: Sat, 28 Jun 2008 14:40:10 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

It looks as though the problem is:

* libparted1.8-udeb depends on the architecture-specific package libunwind7
  on ia64, because the parted library requires libunwind.so.7

* src:libunwind does not build any udebs at all

According to experimental buildd logs, this dependency was introduced
between 1.8.7.git.2007.07.30-1.1 and 1.8.8.git.2008.03.24-1. The 1.8 branch
was in experimental since 2006, and landed in unstable last weekend.

The new dependency seems to be due to a Parted change rather than a gcc
change - after building parted 1.7.1-5.1 using sid's gcc 4.3.1 (on merulo),
there is no libunwind dependency.

    Simon


-----BEGIN PGP SIGNATURE-----

iD8DBQFIZj8yWSc8zVUw7HYRAjbyAJ4p5Y7WJS2aHgXlj46n70EgtnOwrgCfWlwe
EVatO2VyZVWX2RP4sBzoFfs=
=T8Vf
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#488374; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to 488374@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 488374@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 488374@bugs.debian.org
Cc: Simon McVittie <smcv@debian.org>, parted@packages.debian.org
Subject: Re: Bug#488374: installation-reports: [ia64] missing libunwind.so.7 => parted_devices cannot find disks
Date: Sat, 28 Jun 2008 16:32:16 +0200
reassign 488374 parted 1.8.8.git.2008.03.24-7
severity 488374 serious
retitle 488374 [ia64] libparted depends on libunwind for which no udeb exists
thanks

On Saturday 28 June 2008, Simon McVittie wrote:
> Jun 28 11:35:02 main-menu[648]: (process:3835): parted_devices: error
> while loading shared libraries: libunwind.so.7: cannot open shared
> object file: No such file or directory

Please check whether the dependency on libunwind can be avoided on IA64.
If it cannot, then I guess such a udeb will have to be requested.
IA64 seems to be the only affected architecture.

This BR against parted should remain open to prevent migration until the
issue has been resolved one way or the other.




Bug reassigned from package `installation-reports' to `parted'. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Sat, 28 Jun 2008 14:33:02 GMT) Full text and rfc822 format available.

Severity set to `serious' from `normal' Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Sat, 28 Jun 2008 14:33:03 GMT) Full text and rfc822 format available.

Changed Bug title to `[ia64] libparted depends on libunwind for which no udeb exists' from `installation-reports: [ia64] missing libunwind.so.7 => parted_devices cannot find disks'. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Sat, 28 Jun 2008 14:33:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#488374; Package parted. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #26 received at 488374@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 488374@bugs.debian.org
Cc: Simon McVittie <smcv@debian.org>
Subject: Re: Bug#488374: installation-reports: [ia64] missing libunwind.so.7 => parted_devices cannot find disks
Date: Sat, 28 Jun 2008 16:33:11 +0200
On Saturday 28 June 2008, Simon McVittie wrote:
> (a missing libc6.1 seems a bad thing...)

No, it's completely harmless.




Information forwarded to debian-bugs-dist@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#488374; Package parted. Full text and rfc822 format available.

Acknowledgement sent to Philipp Kern <pkern@debian.org>:
Extra info received and forwarded to list. Copy sent to Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #31 received at 488374@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Simon McVittie <smcv@debian.org>, 488374@bugs.debian.org
Subject: Re: Bug#488374: installation-reports: [ia64] missing libunwind.so.7 => parted_devices cannot find disks
Date: Mon, 14 Jul 2008 00:59:44 +0200
[Message part 1 (text/plain, inline)]
On Sat, Jun 28, 2008 at 02:40:10PM +0100, Simon McVittie wrote:
> It looks as though the problem is:
> 
> * libparted1.8-udeb depends on the architecture-specific package libunwind7
>   on ia64, because the parted library requires libunwind.so.7
> 
> * src:libunwind does not build any udebs at all
> 
> According to experimental buildd logs, this dependency was introduced
> between 1.8.7.git.2007.07.30-1.1 and 1.8.8.git.2008.03.24-1. The 1.8 branch
> was in experimental since 2006, and landed in unstable last weekend.
> 
> The new dependency seems to be due to a Parted change rather than a gcc
> change - after building parted 1.7.1-5.1 using sid's gcc 4.3.1 (on merulo),
> there is no libunwind dependency.

I just tried the following git revision on alkman.ayous.org with gcc
4.3.1-6:

commit 5241e0764efd5c942216411a55e6aa6674d7ea81
Author: Otavio Salvador <otavio@ossystems.com.br>
Date:   Mon Jul 30 20:49:39 2007 -0300

    Release 1.8.7.git.2007.07.30-1

With the following result:

root@alkman:/tmp/parted/build-udeb/libparted/.libs# ldd ./libparted-1.8.so.7
        linux-gate.so.1 =>  (0xa000000000000000)
        libdl.so.2 => /lib/libdl.so.2 (0x2000000800114000)
        libdevmapper.so.1.02.1 => /lib/libdevmapper.so.1.02.1 (0x2000000800130000)
        libuuid.so.1 => /lib/libuuid.so.1 (0x200000080016c000)
        libunwind.so.7 => /lib/libunwind.so.7 (0x2000000800184000)
        libc.so.6.1 => /lib/libc.so.6.1 (0x20000008001cc000)
        /lib/ld-linux-ia64.so.2 (0x2000000800000000)
        libselinux.so.1 => /lib/libselinux.so.1 (0x2000000800438000)

So libunwind.so.7 also turns up with the old revision, with current
compilers on sid.

Kind regards,
Philipp Kern
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#488374; Package parted. Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@debian.org>:
Extra info received and forwarded to list. Copy sent to Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #36 received at 488374@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@debian.org>
To: 488374@bugs.debian.org
Cc: Simon McVittie <smcv@debian.org>, Philipp Kern <pkern@debian.org>
Subject: Re: Bug#488374: installation-reports: [ia64] missing libunwind.so.7 => parted_devices cannot find disks
Date: Tue, 15 Jul 2008 23:02:54 -0300
Hello,

Could someone give a try on the attached patch?

TIA,

diff --git a/debian/rules b/debian/rules
index f2f14c9..b75b15a 100755
--- a/debian/rules
+++ b/debian/rules
@@ -181,7 +181,7 @@ build-udeb/config.status: autotools-update-stamp
        dh_testdir
        [ -d build-udeb ] || mkdir build-udeb
 
-       cd build-udeb && CFLAGS="$(UDEB_CFLAGS)" ../configure --prefix=/usr \
+       cd build-udeb && CFLAGS="$(UDEB_CFLAGS)" ac_cv_header_execinfo_h=no ../configure --prefix=/usr \
            --sbindir=/sbin --libdir=/lib --mandir=\$${prefix}/share/man \
            --infodir=\$${prefix}/share/info --enable-shared --disable-static \
            --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) \
 
-- 
        O T A V I O    S A L V A D O R
---------------------------------------------
 E-mail: otavio@debian.org      UIN: 5906116
 GNU/Linux User: 239058     GPG ID: 49A5F855
 Home Page: http://otavio.ossystems.com.br
---------------------------------------------
"Microsoft sells you Windows ... Linux gives
 you the whole house."




Information forwarded to debian-bugs-dist@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#488374; Package parted. Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
Extra info received and forwarded to list. Copy sent to Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #41 received at 488374@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: 488374@bugs.debian.org
Subject: seems to work
Date: Mon, 28 Jul 2008 16:51:32 -0600
Otavio's patch seems to work for me.
ldd no longer shows a dependency on libunwind:

root@krebs:/tmp/parted-1.8.8.git.2008.03.24# ldd ./build-deb/libparted/.libs/libparted-1.8.so.9 | grep unwind
       libunwind.so.7 => /lib/libunwind.so.7 (0x20000008001bc000)
root@krebs:/tmp/parted-1.8.8.git.2008.03.24# ldd ./build-udeb/libparted/.libs/libparted-1.8.so.9 | grep unwind
root@krebs:/tmp/parted-1.8.8.git.2008.03.24# 

And it seems to function:

root@krebs:/tmp/parted-1.8.8.git.2008.03.24/build-udeb# LD_LIBRARY_PATH=/tmp/parted-1.8.8.git.2008.03.24/build-udeb/libparted/.libs parted/parted /dev/sdd
GNU Parted 1.8.9
Using /dev/sdd
Welcome to GNU Parted! Type 'help' to view a list of commands.
(parted) print                                                            
print
Model: TREK2000 TD-G2 (scsi)
Disk /dev/sdd: 65.5MB
Sector size (logical/physical): 512B/512B
Partition Table: msdos

Number  Start   End     Size    Type     File system  Flags
 1      21.5kB  65.5MB  65.5MB  primary  fat16             

(parted) 

strace output also shows the libunwind getting opened when
executing the 'deb' binary, but not when executing the udeb
binary.

Let me know if there's other tests you'd like me to run.
-- 
dann frazier





Information forwarded to debian-bugs-dist@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#488374; Package parted. Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #46 received at 488374@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 488374@bugs.debian.org
Subject: Re: bug#488374: patch to disable execinfo.h use looks good
Date: Tue, 29 Jul 2008 00:42:12 +0100
tags 488374 + patch
thanks

I've confirmed that a daily-build business card image still exhibits
this bug, but that when I install udebs built with ac_cv_header_execinfo_h=no
using udpkg -i and retry "Detect disks", all the partitioning goes according
to plan. I'm still waiting for installation to finish, but I think Otavio's
patch can be considered to fix this bug.

    Simon




Tags added: patch Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Mon, 28 Jul 2008 23:45:03 GMT) Full text and rfc822 format available.

Reply sent to Otavio Salvador <otavio@ossystems.com.br>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Simon McVittie <smcv@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #53 received at 488374-close@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@ossystems.com.br>
To: 488374-close@bugs.debian.org
Subject: Bug#488374: fixed in parted 1.8.8.git.2008.03.24-8
Date: Tue, 29 Jul 2008 00:47:03 +0000
Source: parted
Source-Version: 1.8.8.git.2008.03.24-8

We believe that the bug you reported is fixed in the latest version of
parted, which is due to be installed in the Debian FTP archive:

libparted1.8-9_1.8.8.git.2008.03.24-8_amd64.deb
  to pool/main/p/parted/libparted1.8-9_1.8.8.git.2008.03.24-8_amd64.deb
libparted1.8-dbg_1.8.8.git.2008.03.24-8_amd64.deb
  to pool/main/p/parted/libparted1.8-dbg_1.8.8.git.2008.03.24-8_amd64.deb
libparted1.8-dev_1.8.8.git.2008.03.24-8_amd64.deb
  to pool/main/p/parted/libparted1.8-dev_1.8.8.git.2008.03.24-8_amd64.deb
libparted1.8-i18n_1.8.8.git.2008.03.24-8_all.deb
  to pool/main/p/parted/libparted1.8-i18n_1.8.8.git.2008.03.24-8_all.deb
libparted1.8-udeb_1.8.8.git.2008.03.24-8_amd64.udeb
  to pool/main/p/parted/libparted1.8-udeb_1.8.8.git.2008.03.24-8_amd64.udeb
parted-doc_1.8.8.git.2008.03.24-8_all.deb
  to pool/main/p/parted/parted-doc_1.8.8.git.2008.03.24-8_all.deb
parted-udeb_1.8.8.git.2008.03.24-8_amd64.udeb
  to pool/main/p/parted/parted-udeb_1.8.8.git.2008.03.24-8_amd64.udeb
parted_1.8.8.git.2008.03.24-8.diff.gz
  to pool/main/p/parted/parted_1.8.8.git.2008.03.24-8.diff.gz
parted_1.8.8.git.2008.03.24-8.dsc
  to pool/main/p/parted/parted_1.8.8.git.2008.03.24-8.dsc
parted_1.8.8.git.2008.03.24-8_amd64.deb
  to pool/main/p/parted/parted_1.8.8.git.2008.03.24-8_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 488374@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Otavio Salvador <otavio@ossystems.com.br> (supplier of updated parted package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 28 Jul 2008 21:09:10 -0300
Source: parted
Binary: parted parted-udeb libparted1.8-9 libparted1.8-udeb libparted1.8-i18n libparted1.8-dev libparted1.8-dbg parted-doc
Architecture: source amd64 all
Version: 1.8.8.git.2008.03.24-8
Distribution: unstable
Urgency: low
Maintainer: Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>
Changed-By: Otavio Salvador <otavio@ossystems.com.br>
Description: 
 libparted1.8-9 - The GNU Parted disk partitioning shared library
 libparted1.8-dbg - The GNU Parted disk partitioning library debug development files
 libparted1.8-dev - The GNU Parted disk partitioning library development files
 libparted1.8-i18n - The GNU Parted disk partitioning library i18n support
 libparted1.8-udeb - The GNU Parted disk partitioning shared library (udeb)
 parted     - The GNU Parted disk partition resizing program
 parted-doc - The GNU Parted disk partition resizing program documentation
 parted-udeb - Manually partition a hard drive (parted) (udeb)
Closes: 488374
Changes: 
 parted (1.8.8.git.2008.03.24-8) unstable; urgency=low
 .
   * Disable backtrace when building the udeb packages (closes: #488374).
Checksums-Sha1: 
 5f0fc4a0e73ff9434ddfc2146612885f339f2c24 1604 parted_1.8.8.git.2008.03.24-8.dsc
 1cdfd534adb96fdd1c85d8cea343e0a84ff7e690 49947 parted_1.8.8.git.2008.03.24-8.diff.gz
 fa7908410a2c68a2fec29bece2881c3222b4979b 70010 parted_1.8.8.git.2008.03.24-8_amd64.deb
 0ebea3c308296268878dce2e131de888d77949d4 33996 parted-udeb_1.8.8.git.2008.03.24-8_amd64.udeb
 a87a55de7344705ed2792a40ff12df81a9f2d08b 190664 libparted1.8-9_1.8.8.git.2008.03.24-8_amd64.deb
 776cfded7559d3ce34c715423c62c85f180ea691 191540 libparted1.8-udeb_1.8.8.git.2008.03.24-8_amd64.udeb
 f174f2c6f4a9f5c665ef9043226f05f229aed62b 257250 libparted1.8-dev_1.8.8.git.2008.03.24-8_amd64.deb
 2c1802e57182071491ab8e44bb0242426a9f522a 802902 libparted1.8-dbg_1.8.8.git.2008.03.24-8_amd64.deb
 5292734a863aa836717175482f0e79936295b81e 398482 libparted1.8-i18n_1.8.8.git.2008.03.24-8_all.deb
 09ad81c80b2be4fee14c21a554c22d4570e0dd7f 87294 parted-doc_1.8.8.git.2008.03.24-8_all.deb
Checksums-Sha256: 
 79f71290111ddc375d7231bc23f33c8aa9571ebd9743e00adb59d518acc962cd 1604 parted_1.8.8.git.2008.03.24-8.dsc
 8876b7a9f7aa6777468f0cfd5bb194e23d02803b821983416ac8e5b44120d397 49947 parted_1.8.8.git.2008.03.24-8.diff.gz
 5132d28e3b0b4b66b2f0d4ca6109ab941858d7ad463aaa933e846125a383e982 70010 parted_1.8.8.git.2008.03.24-8_amd64.deb
 ed2fe95678f207e43eeed8ad4914d555b6bd0a14e8b9f4d5d01919a7e3f9cde9 33996 parted-udeb_1.8.8.git.2008.03.24-8_amd64.udeb
 387f424922988c5a423687785a6aef9943140fd8b2f11bc6a0d882dcefb6333a 190664 libparted1.8-9_1.8.8.git.2008.03.24-8_amd64.deb
 a42ea7e8b6570cfdb5ff96bc846a3fd6b3fe7507527cc1866bae6368e85c9039 191540 libparted1.8-udeb_1.8.8.git.2008.03.24-8_amd64.udeb
 d899bc693791e78bda42877701a468f66a470e9ee64d2f3dc04d0972a9127b4d 257250 libparted1.8-dev_1.8.8.git.2008.03.24-8_amd64.deb
 3cd8a9b70a01b1f22115773d6ae9cbae6c7defe75523844f809dfa8193fe4ff8 802902 libparted1.8-dbg_1.8.8.git.2008.03.24-8_amd64.deb
 4848c8085e22bbc357d5758718cb9ded0eae2ee3d89b529bb72e39375110ae91 398482 libparted1.8-i18n_1.8.8.git.2008.03.24-8_all.deb
 a94c86c18f28e99335093892c7eebbdf5262c479b599497cf97c31460b3286e7 87294 parted-doc_1.8.8.git.2008.03.24-8_all.deb
Files: 
 77661a68ab4fed813727e4a7d405b66e 1604 admin optional parted_1.8.8.git.2008.03.24-8.dsc
 283a16d376fdc085fad44603a4026047 49947 admin optional parted_1.8.8.git.2008.03.24-8.diff.gz
 57bbbf22c5dd0459201dcdb9f48f9ab8 70010 admin optional parted_1.8.8.git.2008.03.24-8_amd64.deb
 52bd8b8d95ae583209a7dbf64a6b5de5 33996 debian-installer extra parted-udeb_1.8.8.git.2008.03.24-8_amd64.udeb
 b7b82ff81f2a8db93236020c787d5b68 190664 libs optional libparted1.8-9_1.8.8.git.2008.03.24-8_amd64.deb
 17993d0fdcdfaec66c8312bcabd8c38d 191540 debian-installer extra libparted1.8-udeb_1.8.8.git.2008.03.24-8_amd64.udeb
 a05ccab55e94d02c004a13543a9efb1a 257250 libdevel optional libparted1.8-dev_1.8.8.git.2008.03.24-8_amd64.deb
 57412483bc2fed4d967e8a0bab6289e0 802902 libdevel extra libparted1.8-dbg_1.8.8.git.2008.03.24-8_amd64.deb
 7a1d7e8248f68178ccdfc66c52c60e8f 398482 libs optional libparted1.8-i18n_1.8.8.git.2008.03.24-8_all.deb
 481f9ca6d912f2903f02c268a7e76825 87294 doc optional parted-doc_1.8.8.git.2008.03.24-8_all.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkiOY+YACgkQLqiZQEml+FXdfgCgl5CX8Lwdo0hMHL6iT/kNgT17
BDgAn0UFwprRxOIvn3/VXWM7+wZCUbfd
=hvYf
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 28 Aug 2008 07:38:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 23:53:50 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.